import { select, curveBasis } from 'd3';
const svg = select('svg');
const width = svg.attr('width');
const height = svg.attr('height');
const centerX = width / 2;
const centerY = height / 2;
const spacing = 80;

const points = [[0,0],
                [25, 10],
                [40, 35],
                [40, 65],
                [25, 90],
                [0, 100]];

const curveTypes = [
  d3.curveBundle.beta(0),
  d3.curveBundle.beta(0.25),
  d3.curveBundle.beta(0.5),
  d3.curveBundle.beta(1)
];

const numTypes = curveTypes.length;
const offset = (numTypes * spacing)/2;
const g = svg.append('g')
  .attr('transform', `translate(${centerX - offset}, ${centerY})`);

curveTypes.forEach((curveType, index) => {
  const lineGenerator = d3.line()
    .curve(curveType);
  const pathData = lineGenerator(points)

  const lineG = g.append('g')
    .attr('transform', `translate(${index*spacing}, 0)`);

  const line = lineG.append('path')
    .attr('d', pathData)
      .attr('fill', 'none')
      .attr('stroke', 'black')
      .attr('stroke-width', 3);
}); 






